WinSnap Users Manual

Introduction

WinSnap was originally designed to take simple snapshots of non-rectangular windows, such as windows with XP visual styles, skinned media players, etc. The software is now more advanced with professional smoothing shadows, coloring effects, canvas transformations, and automatic saving of images in various formats and more.

WinSnap can help you to easily make small thumbnail previews and full-sized screenshots for your weblog and homepage, visualize technical and educational materials, and send reduced-size images via e-mail. (See examples)

WinSnap automates all manual work and handles technical issues that were previously only possible with Photoshop or other image editors. Using WinSnap you can perform professional screenshots immediately with just one click!

Main Features

  • Flexible screen capture capabilities
    WinSnap can capture full screen or screen regions in various forms, together with separate windows and all visible windows in an entire application. WinSnap easily captures non-rectangular and transparent windows. All void space surrounding separate windows, non-rectangular window forms and regions can then be automatically filled with the background of your choice.
  • Professional shadow effects and powerful image processing
    WinSnap provides Photoshop-like shadow effects with customizable size, angle, color, smoothing and other settings. The main difference from Photoshop and all other image editing programs is that WinSnap stores all window form information and draws realistic non-rectangular shadows. This is a considerable advantage when you taking snapshots of windows with XP visual styles and skinned windows (e.g. media players). In addition, WinSnap supports outline shadows and basic image coloring effects.
  • Basic canvas transformations
    WinSnap can automatically rotate and scale images with the highest possible quality. In combination with other effects, it allows you to quickly create high-end thumbnail previews of full-size screenshots.
  • Aero Glass capturing with shadows and transparencies
    WinSnap v2.0 was especially designed for capturing the new Windows Vista UI. It can handle all possible issues with translucent window frames and rounded corners. WinSnap can draw a drop shadow effect that is very similar to the Aero theme.
  • Alpha-Channel and PNG transparency support
    Now shadows are semi-transparent! This function allows very easy image compositing, and is particularly useful when placing screenshots on multi-color backgrounds.
  • Unique Multi-Object capture mode
    WinSnap v2.0 allows you to simultaneously select and capture multiple objects (e.g. windows, dialogs, buttons and controls). A few windows can be placed on the screen and easily combined into one screenshot image.
  • Work faster with configurable External Tools
    You can quickly open screenshots in your favorite image editor using the Tools menu or shortcut keys. This feature also allows you to automatically save images into different directories and in different formats.
  • Easy Web publishing and E-mail dispatch
    WinSnap was especially developed for Web publishing; HTML-style color themes allow you to easily adapt captured snapshots to your web pages. WinSnap also allows you to quickly send screen data via e-mail to demonstrate a particular problem you might be having with a program.
  • Advanced save and copy options
    If multiple snapshots are taken, WinSnap can automatically save images onto disk. The filename can be automatically sequenced to prevent you from overwriting previous snapshots. Of course, WinSnap supports all popular image formats such as JPEG, PNG, TIFF, GIF and BMP.
  • Keyboard and mouse control
    By analogy with TaskSwitchXP, WinSnap is a PrintScreen replacement software. By default, WinSnap replaces the standard PrintScreen key combinations and can operate in a hidden state to remove any signs of WinSnap from the screen. Hotkeys are fully configurable, while it is also possible to undertake all work with the mouse if preferred.
  • Multilingual user interface
    WinSnap supports language extensions (Unicode based). If you would like to localize WinSnap to your native language, see instructions at the WinSnap\lang\ subfolder. You can then submit your translation to the NTWind forums.
  • Small and fast for an image editor
    WinSnap only takes a very small amount of system resources for an image editing program. There is no need to worry about system performance while taking and editing screenshot images. It is smaller than Paint!

System requirements

WinSnap was developed for Windows 2000/XP/Vista and newer operating systems. All older versions of Windows are not supported! If you are running Windows 2000, you need GDI+ installed to use WinSnap. GDI+ is included in Windows XP and most Microsoft products (such as MS Office). You can download GDI+ from Microsoft Download Center.

Copyright © 2007 NTWind Software. All rights reserved.


WinSnap Shortcuts

System-wide Hot Keys (defaults)

These shortcut keys are system oriented, and should work in all applications even if the WinSnap window is inactive or hidden. You can always reassign hotkeys to your desired choice in Settings.

Print Screen Replacement

Hot Key | Description
Print Screen | Make snapshot of the entire screen.
Alt + Print Screen | Make snapshot of the active application including all visible windows of it.
Ctrl + Print Screen | Make snapshot of the active window.
Ctrl + Shift + Print Screen | Start Object / Multi-Object capture mode.
Ctrl + Alt + Print Screen | Start region selection mode.

WinSnap Accelerator Keys

These shortcut keys will work only when WinSnap is active.

Main Window Accelerator Keys

Shortcut Key | Description
Ctrl + N | Create new snapshot image.
Ctrl + O | Open an existing image.
Ctrl + S | Save taken snapshot with a specified file name.
Ctrl + C, Ctrl + Insert | Copy current snapshot to the clipboard.
Ctrl + V, Shift + Insert | Paste image from the clipboard.
Ctrl + P | Print image.
Delete | Remove current snapshot.
Esc | Minimize to the system tray.
Ctrl + 1 | Make snapshot of the entire screen.
Ctrl + 2 | Make snapshot of the active application including all visible windows of it.
Ctrl + 3 | Make snapshot of the active window.
Ctrl + 4 | Make snapshot of the popup menu.
Ctrl + 5 | Start Object / Multi-Object capture mode.
Ctrl + 6 | Start region selection mode.
Alt + 1,2, ... 9,0 | Run the corresponding custom command (Tools menu).
F2 | Open WinSnap preferences dialog.

Object / Multi-Object Selection

Shortcut Key | Description
F1 | Show/hide helper window.
Arrow Keys | Move mouse pointer by one pixel.
Ctrl + Arrow Keys | Fast move mouse pointer by 10 pixels.
Enter, Left-button | Accept current selection.
Space, Middle-button | Add object to multiple selection.
Backspace, Delete | Abort current selection.
Esc | Cancel object selection mode.

Screen Region Selection

Shortcut Key | Description
F1 | Show/hide helper window with magnifier.
Arrow Keys | Move mouse pointer by one pixel.
Ctrl + Arrow Keys | Fast move mouse pointer by 10 pixels.
Shift + Arrow Keys | If the start point of a region is selected, move current region.
Enter, Space, Left-button | Accept current position.
Backspace, Delete | Abort current selection.
Esc | Cancel region selection mode.


History of WinSnap

Version 2.1.6 (October 30, 2008)

  • Significant performance improvements on shadow generation algorithm
  • Fixed a minor issue with capturing non-rectangular windows
  • Various other stability and performance improvements

Version 2.1.5 (August 5, 2008)

  • Fixed an issue with capturing WindowBlinds themes on Windows XP
  • Some minor improvements on custom dialog controls under different OS

Version 2.1.4 (June 24, 2008)

  • New: Installer for 64-bit versions of Windows XP/Vista
  • Installers are now multilingual with full Unicode support (www.scratchpaper.com)
  • A better algorithm to determine the window size of non-rectangular windows
  • Object mode: Fixed a minor issue with selection of child windows
  • Object mode: Ability to select window client area without scrollbars and borders
  • WinSnap for U3: Fixed an issue with the latest U3 Launchpad on Vista
  • Included new translations: Hungarian - more than 27 languages now

Version 2.1.3 (May 12, 2008)

  • Updated the default shadow settings for Windows Vista
  • Added ability to capture skinned popup menus of some applications
  • Fixed tray icon size at high DPI, such as 120 DPI on Vista
  • Some language files were updated

Version 2.1.2 (April 21, 2008)

  • Now WinSnap is available for purchase on CD-ROM
  • Added more profiles for WindowBlinds styles (AdvConfig.exe)
  • Several improvements on the portable version of WinSnap
  • Fixed some minor issues in the installer of the previous version
  • Some other minor improvements and bugfixes

Version 2.1.1 (March 18, 2008)

  • Added quick profiles for popular WindowBlinds styles (AdvConfig.exe)
  • Added "Rounded corners on top" advanced style (AdvConfig.exe)
  • Better support of WindowBlinds styles with per-pixel transparency on XP and Vista
  • Menu capture mode was removed (use the Object mode instead)
  • Several new UI and usability improvements

Version 2.1.0 (February 11, 2008)

  • Full support of WindowBlinds visual styles (see forum for more details)
  • Multi-Region capture mode (hold CTRL to select multiple screen regions)
  • Several other improvements on the Region capture mode
  • Fixed an issue with auto-save filename in external tools
  • Some other minor improvements and bugfixes

Version 2.0.9 (September 10, 2007)

  • WinSnap U3 Edition released (U3 smart drive required)
  • Several speed improvements on the portable version
  • Some language files were updated
  • Small cosmetic changes in UI

Version 2.0.8 (August 7, 2007)

  • WinSnap 64-bit Edition released (for AMD64/EM64T)
  • The update process from previous versions takes only 2 mouse clicks now
  • Several improvements on the registration mechanism
  • Message boxes are properly placed depending on the main window position
  • Fixed a minor issue with capturing maximized windows in the Application mode
  • Some other minor bug fixes and improvements

Version 2.0.7 (May 14, 2007)

  • Usual compatibility improvements with Windows Vista
  • Added ability to capture Firefox popup menus in the Object/Menu mode
  • Fixed a minor issue with capturing transparent cursor
  • Added -EXIT command line option

Version 2.0.6 (May 1, 2007)

  • Included new translations: Latvian, Norwegian (25+ now)
  • Region capture: Improved compatibility with MS Outlook 2007
  • Fixed some issues with modal dialogs on different versions of Windows Vista

Version 2.0.5 (April 3, 2007)

  • Included new translations: Brazilian Portuguese, Bulgarian, Chinese, Czech, Spanish (23+ now)
  • Improved Windows Vista compatibility
  • Some other minor improvements

Version 2.0.4 (March 19, 2007)

  • Included new translations: Arabic, Armenian, Finnish (17+ now)
  • New file auto-naming options (%NUM2%, %NUM3%, etc)
  • Popup menus are now supported in Multi-Object selection mode
  • Updated the help file (included in full version)
  • Some other minor improvements

Version 2.0.3 (March 5, 2007)

  • Included many new tranlations
  • All executables are digitally signed now
  • Improvements on the registration mechanism
  • Fixed bug with underlined letters in the main menu
  • Several cosmetic changes in UI

Version 2.0.2 (February 18, 2007)

  • Portable Edition (to run WinSnap from a USB stick)
  • Restoring main window size and position now work correctly
  • Some issues on multi-monitor setup were fixed
  • Conflict with CursorXP (Multi-Object capture mode) was resolved
  • Unnecessary watermarks in trial mode were removed
  • Some other small bugfixes and improvements

Version 2.0.1 (February 12, 2007)

  • New major update was especially designed for Windows Vista
  • Aero Glass capturing with shadows and transparencies
  • Alpha-channel and PNG/TIFF transparency support
  • New unique Multi-Object capture mode
  • "Client Area" capture mode was superseded by Object mode
  • Configurable external tools menu
  • Region "fixed size" capture mode
  • Region "store position" option
  • New file auto-naming options
  • Quick-Print shortcut key
  • Many other bugfixes and small improvements

Version 1.1.10 (January 31, 2007)

  • New interface languages: Norwegian, Serbian, Portuguese (24+ now)
  • Palette optimization for 8-bit GIF images
  • Issues with auto-save image format were fixed

Version 1.1.9 (January 8, 2007)

  • WinSnap now remembers region form and other parameters in "Region" mode
  • Small issue with menu shadows in "Application" mode was fixed
  • Some small bugfixes and improvements

Version 1.1.8.1 (November 15, 2006)

  • Small fix with a registry entry in portable edition

Version 1.1.8 (November 12, 2006)

  • First portable version (to run from a USB stick)
  • New interface languages were added (20+ now)
  • Bug with invalid auto-save directory was fixed
  • Some issues with region capture were fixed
  • Many small improvements and core optimization

Version 1.1.7 (September 12, 2006)

  • Multilingual installer and uninstaller
  • More that 16 translations were added
  • Added ability to capture mouse cursor in region mode
  • Some issues with check for online updates were fixed
  • Some small bugfixes and improvements

Version 1.1.6 (August 24, 2006)

  • New option to include mouse cursor
  • New option to keep WinSnap minimized in auto-save mode
  • New option to clear image on minimize (to safe memory)
  • Added ability to capture XP Start Menu in 'Menu' mode
  • Escape minimizes the main window
  • New command line parameters were added
  • Minimize/restore animation now depend on system settings
  • Some default program settings were changed
  • Some issues with wide-screens were fixed
  • Many other small bugfixes and improvements
  • Status 'beta' was removed - it is first mature release!

Version 1.1 beta 5 (July 9, 2006)

  • Multilingual user interface
  • Added resizing of the main window
  • Option "Close to tray"
  • Check for on-line upadates now works
  • New capture mode for popup menus
  • Auto-save and auto-copy features now work
  • Simple printing mechanism
  • Some cosmetical changes, design, and more
  • Fixed some bugs with PrintScreen hotkeys
  • Many other small bugfixes and improvements

Version 1.1 beta 4 (January 9, 2006)

  • First public release!!!

Versions 1.0x - 1.1 alpha 3 (since May 28, 2005)

  • Nightly builds for testers only.


Contact Information

Feedback

The best way to communicate with the developer is to get an account at NTWind Forums. In general the developer cannot provide advanced technical support, but all efforts will be made to help where possible. Please be sure to read the documentation and FAQ before posting.

You can contact the developer personally by e-mailing: alexander@ntwind.com
(Please use reasonable subject titles and do not forget to include the program name)

Bug Reports

Before submitting a bug, please verify that there are no open bugs with the same report. Also, please check the latest changelog to see if the bug has been fixed recently.

Please include the following in the report:

  1. Version of the program and OS you are using
  2. Error message you receive (if any)
  3. A script that reproduces this bug (if acceptable)
  4. A screenshot if something is wrong with the user interface

Feature Requests

To submit a product idea or suggestion, please use the specific forum thread. If you think it will be a useful feature, please give a detailed description of the feature you are requesting and ensure duplicate requests are not posted.

Contact

  • Web site: http://www.ntwind.com/
  • Support forum: http://www.ntwind.com/forum/
  • Support email: alexander@ntwind.com


License and Credits

End-User License Agreement

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity), the end-user, and Alexander Avdonin, the author of WinSnap ("Author"). This EULA permits you to use a single copy, or multiples copies of the software product identified above, which includes computer software and may include associated media, printed materials, and on-line or electronic documentation ("SOFTWARE PRODUCT").

By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bounded by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

  1. GRANT OF LICENSE. The SOFTWARE PRODUCT is licensed as a single product, to an individual user, or group of users for multiple user licenses and site licenses. This agreement requires that each user of the program be licensed, either individually, or as part of a group. A multi-user license provides for a specified number of users to use the SOFTWARE PRODUCT at any time. This does not provide for concurrent user licensing unless specifically agreed upon and ordered as such at an additional cost above the normal licensing fee. Each user of this program must be covered either individually, or as part of a group multi-user license. The SOFTWARE PRODUCT is considered in use on a computer when it is loaded into temporary memory or installed into permanent memory. This license may not be assigned or otherwise transferred without prior written consent from the Author, and any unauthorized transfer is null and void.
  2. LICENSING. You may install and use an evaluation version of the SOFTWARE PRODUCT for 30 days, after which you must purchase a license or stop using the SOFTWARE PRODUCT.
    • Personal License. One registered copy of the SOFTWARE PRODUCT can be used by a single person on one or more computers. You must purchase a license for each person who uses the SOFTWARE PRODUCT. The Personal License may not be shared by alternating use of the SOFTWARE PRODUCT between different users.
    • Family License. The Family License allows program installation on multiple computers (up to 5), used by the purchaser and members of their family. This license cannot be sold to companies.
    • Site License. The Site License authorizes the use of the SOFTWARE PRODUCT by the purchaser or the purchaser’s employees, on a maximum of 100 computers at the same physical SITE location. This SITE location would normally be defined as a single building, but could be considered to be a number of buildings within the same general geographical location, such as an industrial estate.
  3. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
    • Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
    • Separation of Component. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.
    • Termination. Without prejudice to any other rights, the Author may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.
  4. DISCLAIMER OF WARRANTIES.
    • No Warranties. The Author expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.
    • No Liability for Damages. In no event shall the Author be liable for any special, consequential, incidental or indirect damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author is aware of the possibility of such damages and known defects.
  5. COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author.

All versions of the SOFTWARE PRODUCT are protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The sole property belongs to Alexander Avdonin. The SOFTWARE PRODUCT may not be duplicated, sold, distributed or utilized in any manner not described herein without the prior written consent of the Author.

Credits

Special thanks to FOOOD's Icons for the main program icon!


Contact Information

Register WinSnap

Licensing

Once you have purchased the product by filling in the online order form, a license key will be sent to you via email to unlock the software for use.

Pricing

Registration fee depends on the number of users who can install and use licensed version of WinSnap. There are 3 basic types of licenses issued for WinSnap, these are:

  • Personal License
  • Family License
  • Site License

The price list is available at: http://www.ntwind.com/software/winsnap/register.html

All licenses are lifetime with free upgrades to all future versions of WinSnap.

Personal License

One registered copy of WinSnap can be used by a single person on one or more computers. You must purchase a license for each person who uses WinSnap. The Personal License may not be shared by alternating use of WinSnap between different users.

Family License

The Family License allows program installation on multiple computers (up to 5), used by the purchaser and members of their family. This license cannot be sold to companies.

Site License

The Site License authorizes the use of WinSnap by the purchaser or the purchaser’s employees, on a maximum of 100 computers at the same physical SITE location. This SITE location would normally be defined as a single building, but could be considered to be a number of buildings within the same general geographical location, such as an industrial estate.